diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/test/uan-energy-model-test.cc ns-3.44/src/uan/test/uan-energy-model-test.cc
--- ns-3.43/src/uan/test/uan-energy-model-test.cc	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/test/uan-energy-model-test.cc	2025-03-09 16:55:49.755372500 -0700
@@ -30,15 +30,15 @@
 NS_LOG_COMPONENT_DEFINE("UanEnergyModelTestSuite");
 
 /**
- * \ingroup uan
- * \defgroup uan-test uan module tests
+ * @ingroup uan
+ * @defgroup uan-test uan module tests
  */
 
 /**
- * \ingroup uan-test
- * \ingroup tests
+ * @ingroup uan-test
+ * @ingroup tests
  *
- * \brief Acoustic Modem Energy Test Case
+ * @brief Acoustic Modem Energy Test Case
  */
 class AcousticModemEnergyTestCase : public TestCase
 {
@@ -48,16 +48,16 @@
 
     /**
      * Receive packet function
-     * \param dev the device
-     * \param pkt the packet
-     * \param mode the mode
-     * \param sender the address of the sender
-     * \returns true if successful
+     * @param dev the device
+     * @param pkt the packet
+     * @param mode the mode
+     * @param sender the address of the sender
+     * @returns true if successful
      */
     bool RxPacket(Ptr<NetDevice> dev, Ptr<const Packet> pkt, uint16_t mode, const Address& sender);
     /**
      * Send one packet function
-     * \param node the node to send to
+     * @param node the node to send to
      */
     void SendOnePacket(Ptr<Node> node);
 
@@ -201,10 +201,10 @@
 }
 
 /**
- * \ingroup uan-test
- * \ingroup tests
+ * @ingroup uan-test
+ * @ingroup tests
  *
- * \brief Acoustic Modem Energy Depletion Test Case
+ * @brief Acoustic Modem Energy Depletion Test Case
  */
 class AcousticModemEnergyDepletionTestCase : public TestCase
 {
@@ -216,7 +216,7 @@
     void DepletionHandler();
     /**
      * Send one packet function
-     * \param node the node to send to
+     * @param node the node to send to
      */
     void SendOnePacket(Ptr<Node> node);
 
@@ -311,10 +311,10 @@
 // -------------------------------------------------------------------------- //
 
 /**
- * \ingroup uan-test
- * \ingroup tests
+ * @ingroup uan-test
+ * @ingroup tests
  *
- * \brief Unit test suite for underwater energy model. Include test on acoustic modem,
+ * @brief Unit test suite for underwater energy model. Include test on acoustic modem,
  * acoustic modem energy depletion.
  */
 class UanEnergyModelTestSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/uan/test/uan-test.cc ns-3.44/src/uan/test/uan-test.cc
--- ns-3.43/src/uan/test/uan-test.cc	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/uan/test/uan-test.cc	2025-03-09 16:55:49.755372500 -0700
@@ -23,10 +23,10 @@
 using namespace ns3;
 
 /**
- * \ingroup uan-test
- * \ingroup tests
+ * @ingroup uan-test
+ * @ingroup tests
  *
- * \brief Uan Test
+ * @brief Uan Test
  */
 class UanTest : public TestCase
 {
@@ -38,26 +38,26 @@
   private:
     /**
      * Create node function
-     * \param pos the position of the device
-     * \param chan the communication channel
-     * \returns the UAN device
+     * @param pos the position of the device
+     * @param chan the communication channel
+     * @returns the UAN device
      */
     Ptr<UanNetDevice> CreateNode(Vector pos, Ptr<UanChannel> chan);
     /**
      * Phy test function
-     * \returns true if successful
+     * @returns true if successful
      */
     bool DoPhyTests();
     /**
      * Do one Phy test function
-     * \param t1 the time to send first packet
-     * \param t2 the time to send the second packet
-     * \param r1 first distance constant
-     * \param r2 second distance constant
-     * \param prop the propagation model
-     * \param mode1 the send mode for device 1
-     * \param mode2 the send mode for device 2
-     * \returns number of bytes received
+     * @param t1 the time to send first packet
+     * @param t2 the time to send the second packet
+     * @param r1 first distance constant
+     * @param r2 second distance constant
+     * @param prop the propagation model
+     * @param mode1 the send mode for device 1
+     * @param mode2 the send mode for device 2
+     * @returns number of bytes received
      */
     uint32_t DoOnePhyTest(Time t1,
                           Time t2,
@@ -68,17 +68,17 @@
                           uint16_t mode2 = 0);
     /**
      * Receive packet function
-     * \param dev the device
-     * \param pkt the packet
-     * \param mode the receive mode
-     * \param sender the address of the sender
-     * \returns true if successful
+     * @param dev the device
+     * @param pkt the packet
+     * @param mode the receive mode
+     * @param sender the address of the sender
+     * @returns true if successful
      */
     bool RxPacket(Ptr<NetDevice> dev, Ptr<const Packet> pkt, uint16_t mode, const Address& sender);
     /**
      * Send one packet function
-     * \param dev the device
-     * \param mode the transmit mode
+     * @param dev the device
+     * @param mode the transmit mode
      */
     void SendOnePacket(Ptr<UanNetDevice> dev, uint16_t mode);
     ObjectFactory m_phyFac; ///< Phy
@@ -154,7 +154,7 @@
     Simulator::Schedule(txTime2, &UanTest::SendOnePacket, this, dev2, mode2);
 
     m_bytesRx = 0;
-    Simulator::Stop(Seconds(20.0));
+    Simulator::Stop(Seconds(20));
     Simulator::Run();
     Simulator::Destroy();
 
@@ -179,12 +179,12 @@
     Ptr<UanPropModelIdeal> prop = CreateObject<UanPropModelIdeal>();
 
     // No collision (Get 2 packets)
-    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(DoOnePhyTest(Seconds(1.0), Seconds(3.001), 50, 50, prop),
+    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(DoOnePhyTest(Seconds(1), Seconds(3.001), 50, 50, prop),
                                        34,
                                        "Should have received 34 bytes from 2 disjoint packets");
 
     // Collision (Lose both packets)
-    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(DoOnePhyTest(Seconds(1.0), Seconds(2.99), 50, 50, prop),
+    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(DoOnePhyTest(Seconds(1), Seconds(2.99), 50, 50, prop),
                                        0,
                                        "Expected collision resulting in loss of both packets");
 
@@ -200,18 +200,18 @@
 #endif // UAN_PROP_BH_INSTALLED
 
     //  No collision (Get 2 packets)
-    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(DoOnePhyTest(Seconds(1.0), Seconds(3.001), 50, 50, prop),
+    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(DoOnePhyTest(Seconds(1), Seconds(3.001), 50, 50, prop),
                                        34,
                                        "Should have received 34 bytes from 2 disjoint packets");
 
     // Should correctly receive first arriving packet
-    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(DoOnePhyTest(Seconds(1.0), Seconds(1.0126), 50, 50, prop),
+    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(DoOnePhyTest(Seconds(1), Seconds(1.0126), 50, 50, prop),
                                        17,
                                        "Should have received 17 bytes from first arriving packet");
 
     // Packets should collide and both be lost
     NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(
-        DoOnePhyTest(Seconds(1.0), Seconds(1.0 + 7.01 * (13.0 / 80.0)), 50, 50, prop),
+        DoOnePhyTest(Seconds(1), Seconds(1.0 + 7.01 * (13.0 / 80.0)), 50, 50, prop),
         0,
         "Packets should collide, but received data");
 
@@ -244,29 +244,25 @@
     m_phyFac.Set("SupportedModesPhy2", UanModesListValue(m1));
 
     // No collision (Get 2 packets)
-    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(DoOnePhyTest(Seconds(1.0), Seconds(3.01), 50, 50, prop),
+    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(DoOnePhyTest(Seconds(1), Seconds(3.01), 50, 50, prop),
                                        34,
                                        "Expected no collision");
 
-    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(
-        DoOnePhyTest(Seconds(1.0), Seconds(2.99), 50, 50, prop, 0, 0),
-        0,
-        "Expected collision with both packets lost");
+    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(DoOnePhyTest(Seconds(1), Seconds(2.99), 50, 50, prop, 0, 0),
+                                       0,
+                                       "Expected collision with both packets lost");
 
-    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(
-        DoOnePhyTest(Seconds(1.0), Seconds(2.99), 50, 50, prop, 0, 2),
-        17,
-        "Expected collision with only one packets lost");
+    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(DoOnePhyTest(Seconds(1), Seconds(2.99), 50, 50, prop, 0, 2),
+                                       17,
+                                       "Expected collision with only one packets lost");
 
-    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(
-        DoOnePhyTest(Seconds(1.0), Seconds(2.99), 50, 50, prop, 0, 5),
-        34,
-        "Expected no collision");
+    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(DoOnePhyTest(Seconds(1), Seconds(2.99), 50, 50, prop, 0, 5),
+                                       34,
+                                       "Expected no collision");
 
-    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(
-        DoOnePhyTest(Seconds(1.0), Seconds(2.99), 50, 50, prop, 2, 3),
-        34,
-        "Expected no collision");
+    NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL(DoOnePhyTest(Seconds(1), Seconds(2.99), 50, 50, prop, 2, 3),
+                                       34,
+                                       "Expected no collision");
 
     return false;
 }
@@ -300,10 +296,10 @@
 }
 
 /**
- * \ingroup uan-test
- * \ingroup tests
+ * @ingroup uan-test
+ * @ingroup tests
  *
- * \brief UanModesList Test
+ * @brief UanModesList Test
  */
 class UanModesListTest : public TestCase
 {
@@ -385,10 +381,10 @@
 }
 
 /**
- * \ingroup uan-test
- * \ingroup tests
+ * @ingroup uan-test
+ * @ingroup tests
  *
- * \brief Uan Test Suite
+ * @brief Uan Test Suite
  */
 class UanTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/virtual-net-device/examples/virtual-net-device-example.cc ns-3.44/src/virtual-net-device/examples/virtual-net-device-example.cc
--- ns-3.43/src/virtual-net-device/examples/virtual-net-device-example.cc	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/virtual-net-device/examples/virtual-net-device-example.cc	2025-03-09 16:55:49.755372500 -0700
@@ -47,7 +47,7 @@
 NS_LOG_COMPONENT_DEFINE("VirtualNetDeviceExample");
 
 /**
- * \ingroup virtual-net-device
+ * @ingroup virtual-net-device
  *
  * Tunnel class - its goal is to create and manage the tunnels between endpoints.
  */
@@ -66,11 +66,11 @@
 
     /**
      * Send a packet through the N0 VirtualNetDevice
-     * \param packet Packet to send
-     * \param source Source IPv4 address
-     * \param dest Destination IPv4 address
-     * \param protocolNumber Protocol number
-     * \return true (always)
+     * @param packet Packet to send
+     * @param source Source IPv4 address
+     * @param dest Destination IPv4 address
+     * @param protocolNumber Protocol number
+     * @return true (always)
      */
     bool N0VirtualSend(Ptr<Packet> packet,
                        const Address& source,
@@ -84,11 +84,11 @@
 
     /**
      * Send a packet through the N1 VirtualNetDevice
-     * \param packet Packet to send
-     * \param source Source IPv4 address
-     * \param dest Destination IPv4 address
-     * \param protocolNumber Protocol number
-     * \return true (always)
+     * @param packet Packet to send
+     * @param source Source IPv4 address
+     * @param dest Destination IPv4 address
+     * @param protocolNumber Protocol number
+     * @return true (always)
      */
     bool N1VirtualSend(Ptr<Packet> packet,
                        const Address& source,
@@ -102,11 +102,11 @@
 
     /**
      * Send a packet through the N3 VirtualNetDevice
-     * \param packet Packet to send
-     * \param source Source IPv4 address
-     * \param dest Destination IPv4 address
-     * \param protocolNumber Protocol number
-     * \return true (always)
+     * @param packet Packet to send
+     * @param source Source IPv4 address
+     * @param dest Destination IPv4 address
+     * @param protocolNumber Protocol number
+     * @return true (always)
      */
     bool N3VirtualSend(Ptr<Packet> packet,
                        const Address& source,
@@ -128,7 +128,7 @@
 
     /**
      * Receive a packet on the N3 VirtualNetDevice
-     * \param socket Receiving socket
+     * @param socket Receiving socket
      */
     void N3SocketRecv(Ptr<Socket> socket)
     {
@@ -143,7 +143,7 @@
 
     /**
      * Receive a packet on the N0 VirtualNetDevice
-     * \param socket Receiving socket
+     * @param socket Receiving socket
      */
     void N0SocketRecv(Ptr<Socket> socket)
     {
@@ -158,7 +158,7 @@
 
     /**
      * Receive a packet on the N1 VirtualNetDevice
-     * \param socket Receiving socket
+     * @param socket Receiving socket
      */
     void N1SocketRecv(Ptr<Socket> socket)
     {
@@ -174,12 +174,12 @@
   public:
     /**
      * Constructor
-     * \param n3 Pointer of Node 3
-     * \param n0 Pointer of Node 0
-     * \param n1 Pointer of Node 1
-     * \param n3Addr IPv4 address of Node 3
-     * \param n0Addr IPv4 address of Node 0
-     * \param n1Addr IPv4 address of Node 1
+     * @param n3 Pointer of Node 3
+     * @param n0 Pointer of Node 0
+     * @param n1 Pointer of Node 1
+     * @param n3Addr IPv4 address of Node 3
+     * @param n0Addr IPv4 address of Node 0
+     * @param n1Addr IPv4 address of Node 1
      */
     Tunnel(Ptr<Node> n3,
            Ptr<Node> n0,
@@ -314,21 +314,21 @@
                       Address(InetSocketAddress(Ipv4Address("11.0.0.254"), port)));
     onoff.SetConstantRate(DataRate("448kb/s"));
     ApplicationContainer apps = onoff.Install(c.Get(0));
-    apps.Start(Seconds(1.0));
-    apps.Stop(Seconds(10.0));
+    apps.Start(Seconds(1));
+    apps.Stop(Seconds(10));
 
     // Create a packet sink to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory",
                           Address(InetSocketAddress(Ipv4Address::GetAny(), port)));
     apps = sink.Install(c.Get(3));
-    apps.Start(Seconds(1.0));
+    apps.Start(Seconds(1));
     // apps.Stop (Seconds (10.0));
 
     // Create a similar flow from n3 to n1, starting at time 1.1 seconds
     onoff.SetAttribute("Remote", AddressValue(InetSocketAddress(Ipv4Address("11.0.0.1"), port)));
     apps = onoff.Install(c.Get(3));
     apps.Start(Seconds(1.1));
-    apps.Stop(Seconds(10.0));
+    apps.Stop(Seconds(10));
 
     // Create a packet sink to receive these packets
     apps = sink.Install(c.Get(1));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/virtual-net-device/model/virtual-net-device.h ns-3.44/src/virtual-net-device/model/virtual-net-device.h
--- ns-3.43/src/virtual-net-device/model/virtual-net-device.h	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/virtual-net-device/model/virtual-net-device.h	2025-03-09 16:55:49.755372500 -0700
@@ -21,15 +21,15 @@
 {
 
 /**
- * \defgroup virtual-net-device Virtual Device
+ * @defgroup virtual-net-device Virtual Device
  *
  */
 
 /**
- * \ingroup virtual-net-device
+ * @ingroup virtual-net-device
  *
- * \class VirtualNetDevice
- * \brief A virtual device, similar to Linux TUN/TAP interfaces.
+ * @class VirtualNetDevice
+ * @brief A virtual device, similar to Linux TUN/TAP interfaces.
  *
  * A VirtualNetDevice is a "virtual" NetDevice implementation which
  * delegates to a user callback (see method SetSendCallback()) the
@@ -53,8 +53,8 @@
     typedef Callback<bool, Ptr<Packet>, const Address&, const Address&, uint16_t> SendCallback;
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     VirtualNetDevice();
@@ -62,48 +62,48 @@
     ~VirtualNetDevice() override;
 
     /**
-     * \brief Set the user callback to be called when a L2 packet is to be transmitted
-     * \param transmitCb the new transmit callback
+     * @brief Set the user callback to be called when a L2 packet is to be transmitted
+     * @param transmitCb the new transmit callback
      */
     void SetSendCallback(SendCallback transmitCb);
 
     /**
-     * \brief Configure whether the virtual device needs ARP
+     * @brief Configure whether the virtual device needs ARP
      *
-     * \param needsArp the the 'needs arp' value that will be returned
+     * @param needsArp the the 'needs arp' value that will be returned
      * by the NeedsArp() method.  The method IsBroadcast() will also
      * return this value.
      */
     void SetNeedsArp(bool needsArp);
 
     /**
-     * \brief Configure whether the virtual device is point-to-point
+     * @brief Configure whether the virtual device is point-to-point
      *
-     * \param isPointToPoint the value that should be returned by the
+     * @param isPointToPoint the value that should be returned by the
      * IsPointToPoint method for this instance.
      */
     void SetIsPointToPoint(bool isPointToPoint);
 
     /**
-     * \brief Configure whether the virtual device supports SendFrom
-     * \param supportsSendFrom true if the device supports SendFrom
+     * @brief Configure whether the virtual device supports SendFrom
+     * @param supportsSendFrom true if the device supports SendFrom
      */
     void SetSupportsSendFrom(bool supportsSendFrom);
 
     /**
-     * \brief Configure the reported MTU for the virtual device.
-     * \param mtu MTU value to set
-     * \return whether the MTU value was within legal bounds
+     * @brief Configure the reported MTU for the virtual device.
+     * @param mtu MTU value to set
+     * @return whether the MTU value was within legal bounds
      */
     bool SetMtu(const uint16_t mtu) override;
 
     /**
-     * \param packet packet sent from below up to Network Device
-     * \param protocol Protocol type
-     * \param source the address of the sender of this packet.
-     * \param destination the address of the receiver of this packet.
-     * \param packetType type of packet received (broadcast/multicast/unicast/otherhost)
-     * \returns true if the packet was forwarded successfully, false otherwise.
+     * @param packet packet sent from below up to Network Device
+     * @param protocol Protocol type
+     * @param source the address of the sender of this packet.
+     * @param destination the address of the receiver of this packet.
+     * @param packetType type of packet received (broadcast/multicast/unicast/otherhost)
+     * @returns true if the packet was forwarded successfully, false otherwise.
      *
      * Forward a "virtually received" packet up
      * the node's protocol stack.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/visualizer/model/pyviz.cc ns-3.44/src/visualizer/model/pyviz.cc
--- ns-3.43/src/visualizer/model/pyviz.cc	2024-10-09 16:41:10.104656700 -0700
+++ ns-3.44/src/visualizer/model/pyviz.cc	2025-03-09 16:55:49.755372500 -0700
@@ -69,8 +69,8 @@
 };
 
 /**
- * \brief Get the type ID.
- * \return the object TypeId
+ * @brief Get the type ID.
+ * @return the object TypeId
  */
 TypeId
 PyVizPacketTag::GetTypeId()
@@ -930,7 +930,7 @@
   private:
     /**
      * Clip start top function
-     * \param line the clip line
+     * @param line the clip line
      */
     void ClipStartTop(Line& line) const
     {
@@ -940,7 +940,7 @@
 
     /**
      * Clip start bottom function
-     * \param line the clip line
+     * @param line the clip line
      */
     void ClipStartBottom(Line& line) const
     {
@@ -950,7 +950,7 @@
 
     /**
      * Clip start right function
-     * \param line the clip line
+     * @param line the clip line
      */
     void ClipStartRight(Line& line) const
     {
@@ -960,7 +960,7 @@
 
     /**
      * Clip start left function
-     * \param line the clip line
+     * @param line the clip line
      */
     void ClipStartLeft(Line& line) const
     {
@@ -970,7 +970,7 @@
 
     /**
      * Clip end top function
-     * \param line the clip line
+     * @param line the clip line
      */
     void ClipEndTop(Line& line) const
     {
@@ -980,7 +980,7 @@
 
     /**
      * Clip end bottom function
-     * \param line the clip line
+     * @param line the clip line
      */
     void ClipEndBottom(Line& line) const
     {
@@ -990,7 +990,7 @@
 
     /**
      * Clip end right function
-     * \param line the clip line
+     * @param line the clip line
      */
     void ClipEndRight(Line& line) const
     {
@@ -1000,7 +1000,7 @@
 
     /**
      * Clip end left function
-     * \param line the clip line
+     * @param line the clip line
      */
     void ClipEndLeft(Line& line) const
     {
@@ -1012,8 +1012,8 @@
     /**
      * Constructor
      *
-     * \param clipMin minimum clipping vector
-     * \param clipMax maximum clipping vector
+     * @param clipMin minimum clipping vector
+     * @param clipMax maximum clipping vector
      */
     FastClipping(Vector2 clipMin, Vector2 clipMax)
         : m_clipMin(clipMin),
@@ -1023,8 +1023,8 @@
 
     /**
      * Clip line function
-     * \param line the clip line
-     * \returns true if clipped
+     * @param line the clip line
+     * @returns true if clipped
      */
     bool ClipLine(Line& line)
     {
